## sphinx-gallery 0.1.13

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

# Theme variable default
theme = default

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "             can include the sphinx theme to rendered with variable"
	@echo "     theme=[default,rtd,alabaster,sphinxdoc,scrolls,agogo,"
	@echo "            traditional,nature,haiku,pyramid,bizstyle]"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*
	rm -rf auto_examples/
	rm -rf auto_mayavi_examples/
	rm -rf tutorials/
	rm -rf gen_modules/

html-noplot: export SPHX_GLR_THEME = $(theme)
html-noplot:
	$(SPHINXBUILD) -D plot_gallery=0 -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

html_abort_on_example_error: export SPHX_GLR_THEME = $(theme)
html_abort_on_example_error:
	$(SPHINXBUILD) -D abort_on_example_error=1 -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

html: export SPHX_GLR_THEME = $(theme)
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Sphinx-Gallery.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Sphinx-Gallery.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Sphinx-Gallery"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Sphinx-Gallery"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

show:
	@python -c "import webbrowser; webbrowser.open_new_tab('file://$(PWD)/$(BUILDDIR)/html/index.html')"

=== debian/changelog ===
sphinx-gallery (0.1.13-1ubuntu1) bionic; urgency=medium

  * Override dh_auto_clean and fix FTBFSx2
  * Skip test plot_seaborn_notebook which
    requires network access (Closes: #888412)

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 25 Jan 2018 08:30:22 +0000

sphinx-gallery (0.1.13-1) unstable; urgency=medium

  * Initial release; Closes: #882800

 -- Sandro Tosi <morph@debian.org>  Sun, 26 Nov 2017 16:08:30 -0500

=== debian/control ===
Source: sphinx-gallery
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), dh-python, python-all, python3-all, python-sphinx, python3-sphinx, python-matplotlib, python3-matplotlib, python-pil, python3-pil, python-seaborn, python3-seaborn, python-setuptools, python3-setuptools, python-pytest-runner, python3-pytest-runner
Standards-Version: 4.1.1
Homepage: https://sphinx-gallery.github.io/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/sphinx-gallery.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/sphinx-gallery.git

Package: python-sphinx-gallery
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Suggests: python-sphinx-gallery-doc
Description: extension that builds an HTML gallery of examples from Python scripts
 * Simple examples that run out of the box are the best way to learn a library
 * Pleasing, organized, visual layouts
 * Links, searching, backlinks throughout examples and documentation
 .
 This package contains the Python 2 version of sphinx-gallery.

Package: python3-sphinx-gallery
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: python-sphinx-gallery-doc
Description: extension that builds an HTML gallery of examples from Python scripts (Python 3)
 * Simple examples that run out of the box are the best way to learn a library
 * Pleasing, organized, visual layouts
 * Links, searching, backlinks throughout examples and documentation
 .
 This package contains the Python 3 version of sphinx-gallery.

Package: python-sphinx-gallery-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: extension that builds an HTML gallery of examples from Python scripts (Doc)
 * Simple examples that run out of the box are the best way to learn a library
 * Pleasing, organized, visual layouts
 * Links, searching, backlinks throughout examples and documentation
 .
 This package contains documentation for sphinx-gallery.

=== debian/rules ===
#!/usr/bin/make -f

PY2VERS := $(shell pyversions -s)
PY3VERS := $(shell py3versions -s)

%:
	dh $@ --with sphinxdoc,python2,python3

override_dh_auto_build:
	set -e ; \
	for python in $(PY2VERS) $(PY3VERS); do \
		$$python setup.py build; \
	done

	PYTHONPATH=../build/lib/ $(MAKE) -C doc html

override_dh_auto_install:
	set -e ; \
	for python in $(PY2VERS); do \
		$$python setup.py install --root=debian/python-sphinx-gallery --install-layout=deb; \
	done
	set -e ; \
	for python in $(PY3VERS); do \
		$$python setup.py install --root=debian/python3-sphinx-gallery --install-layout=deb; \
	done

	#dont install the scripts
	rm -rf $(CURDIR)/debian/*/usr/bin

override_dh_installchangelogs:
	dh_installchangelogs -A CHANGES.rst

override_dh_installdocs:
	dh_installdocs
	dh_installdocs -ppython-sphinx-gallery-doc examples/ mayavi_examples/ tutorials/ doc/_build/html/

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/build/
	rm -rf $(CURDIR)/doc/_build/
	rm -rf $(CURDIR)/doc/auto_examples/
	rm -rf $(CURDIR)/doc/gen_modules/
	rm -rf $(CURDIR)/doc/tutorials/
	rm -rf $(CURDIR)/sphinx_gallery.egg-info/

## sphinx-gallery 0.2.0

=== requirements.txt ===
setuptools
matplotlib
pillow
sphinx
pytest

=== doc/binder/requirements.txt ===
# Requirements for the documentation.
# These are extra dependencies that aren't required to use sphinx-gallery.
matplotlib
pillow
seaborn
scipy
sphinx-gallery

=== sphinx_gallery/tests/tinybuild/Makefile ===
all: clean html show

clean:
	rm -rf _build/*
	rm -rf auto_examples/
	rm -rf gen_modules/

html:
	sphinx-build -b html -d _build/doctrees . _build/html

latexpdf:
	sphinx-build -b latex -d _build/doctrees . _build/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C _build/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

show:
	@python -c "import webbrowser; webbrowser.open_new_tab('file://$(PWD)/_build/html/index.html')"

=== debian/changelog ===
sphinx-gallery (0.2.0-3ubuntu1) focal; urgency=medium

  * d/p/python-3.8-compat.patch: Cherry pick fix for compatibility with
    Python 3.8 (LP: #1870064).
  * d/p/seaborn-compat.patch: Compat patch for later seaborn versions.

 -- James Page <james.page@ubuntu.com>  Fri, 03 Apr 2020 14:32:58 +0100

sphinx-gallery (0.2.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * Remove python-seaborn from Suggests, it doesn't exists anymore.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #938542

 -- Sandro Tosi <morph@debian.org>  Wed, 13 Nov 2019 17:37:40 -0500

sphinx-gallery (0.2.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * debian/control
    - drop py2 seaborn from, to break a deps cycle; Closes: #940873
    - bump Standards-Version to 4.4.0 (no changes needed)
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Sat, 21 Sep 2019 15:36:13 -0400

sphinx-gallery (0.2.0-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/
    - drop patches merged upstream, refresh patch for new upstream code
  * debian/copyright
    - extend packaging copyright years
    - update upstream copyright information

 -- Sandro Tosi <morph@debian.org>  Sun, 10 Jun 2018 21:29:43 -0400

sphinx-gallery (0.1.13-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Sandro Tosi ]
  * debian/control
    - bump Standards-Version to 4.1.4 (no changes needed)
    - add matplotlib, pil, sphinx, seaborn, mayavi2 to depends/suggests;
      Closes: #889284
  * debian/patches/0002-skip-seaborn-tests-require-network-access.patch
    - skip seaborn tests, require network access; patch taken from Ubuntu;
      Closes: #888412
  * debian/patches/0003-use-facecolor-instead-of-axisbg-when-calling-plt.axe.patch
    - fix example failing with recent matplotlib; Closes: #897497
  * debian/patches/0004-Fix-compatibility-of-SphinxDocLinkResolver-with-Sphi.patch
    - fix compatibility with Sphinx 1.7, taked from upstream repo

 -- Sandro Tosi <morph@debian.org>  Thu, 03 May 2018 19:55:46 -0400

=== debian/control ===
Source: sphinx-gallery
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper-compat (= 9), dh-python, python3-all, python3-sphinx, python3-matplotlib, python3-pil, python3-seaborn, python3-setuptools, python3-pytest-runner
Standards-Version: 4.4.1
Homepage: https://sphinx-gallery.github.io/
Vcs-Git: https://salsa.debian.org/python-team/modules/sphinx-gallery.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/sphinx-gallery

Package: python3-sphinx-gallery
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-matplotlib, python3-pil, python3-sphinx
Suggests: python-sphinx-gallery-doc, python3-seaborn
Description: extension that builds an HTML gallery of examples from Python scripts (Python 3)
 * Simple examples that run out of the box are the best way to learn a library
 * Pleasing, organized, visual layouts
 * Links, searching, backlinks throughout examples and documentation
 .
 This package contains the Python 3 version of sphinx-gallery.

Package: python-sphinx-gallery-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: extension that builds an HTML gallery of examples from Python scripts (Doc)
 * Simple examples that run out of the box are the best way to learn a library
 * Pleasing, organized, visual layouts
 * Links, searching, backlinks throughout examples and documentation
 .
 This package contains documentation for sphinx-gallery.

=== debian/rules ===
#!/usr/bin/make -f

PY3VERS := $(shell py3versions -s)

%:
	dh $@ --with sphinxdoc,python3 --buildsystem=pybuild

override_dh_auto_build:
	set -e ; \
	for python in $(PY3VERS); do \
		$$python setup.py build; \
	done

	PYTHONPATH=../build/lib/ $(MAKE) -C doc html

override_dh_auto_install:
	set -e ; \
	for python in $(PY3VERS); do \
		$$python setup.py install --root=debian/python3-sphinx-gallery --install-layout=deb; \
	done

	#dont install the scripts
	rm -rf $(CURDIR)/debian/*/usr/bin

override_dh_installchangelogs:
	dh_installchangelogs -A CHANGES.rst

override_dh_installdocs:
	dh_installdocs
	dh_installdocs -ppython-sphinx-gallery-doc examples/ mayavi_examples/ tutorials/ doc/_build/html/

## sphinx-gallery 0.6.2

=== debian/changelog ===
sphinx-gallery (0.6.2-2) unstable; urgency=medium

  * debian/rules
    - set PYBUILD_NAME, fixing installation of the module files; Closes: #960415

 -- Sandro Tosi <morph@debian.org>  Tue, 12 May 2020 22:18:52 -0400

sphinx-gallery (0.6.2-1) unstable; urgency=medium

  * New upstream release; Closes: #959889
  * debian/patches/*
    - refresh, update patches
  * debian/rules
    - make rules look like more a dh + pybuild file
  * run unittest at build time

 -- Sandro Tosi <morph@debian.org>  Thu, 07 May 2020 22:00:07 -0400

sphinx-gallery (0.5.0-1) unstable; urgency=medium

  * New upstream release; Closes: #901307
  * debian/copyright
    - extend packaging copyright years
  * debian/patches
    - drop all patches, merged upstream
  * debian/control
    - add sphinx-rtd-theme, memory-profiler, ipython to b-d, needed by doc
    - bump Standards-Version to 4.5.0 (no changes needed)
  * debian/patches/doc-no-mayavi.patch
    - remove mayavi references, since we're not building those examples
  * Use local intersphinx mapping files, if available

 -- Sandro Tosi <morph@debian.org>  Fri, 06 Mar 2020 22:20:36 -0500

=== debian/control ===
Source: sphinx-gallery
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
Build-Depends: debhelper-compat (= 9),
               dh-python,
               python-matplotlib-doc <!nodoc>,
               python-numpy-doc <!nodoc>,
               python-pandas-doc <!nodoc>,
               python-scipy-doc <!nodoc>,
               python3-all,
               python3-doc <!nodoc>,
               python3-ipython <!nodoc>,
               python3-joblib <!nocheck>,
               python3-matplotlib,
               python3-memory-profiler <!nodoc>,
               python3-pil,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-pytest-runner <!nocheck>,
               python3-seaborn,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme <!nodoc>,
               sphinx-doc <!nodoc>,
Standards-Version: 4.5.0
Homepage: https://sphinx-gallery.github.io/
Vcs-Git: https://salsa.debian.org/python-team/modules/sphinx-gallery.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/sphinx-gallery

Package: python3-sphinx-gallery
Architecture: all
Depends: python3-matplotlib,
         python3-pil,
         python3-sphinx,
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-sphinx-gallery-doc,
          python3-seaborn,
Description: extension that builds an HTML gallery of examples from Python scripts (Python 3)
 * Simple examples that run out of the box are the best way to learn a library
 * Pleasing, organized, visual layouts
 * Links, searching, backlinks throughout examples and documentation
 .
 This package contains the Python 3 version of sphinx-gallery.

Package: python-sphinx-gallery-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Description: extension that builds an HTML gallery of examples from Python scripts (Doc)
 * Simple examples that run out of the box are the best way to learn a library
 * Pleasing, organized, visual layouts
 * Links, searching, backlinks throughout examples and documentation
 .
 This package contains documentation for sphinx-gallery.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=sphinx-gallery
export PYBUILD_AFTER_BUILD=PYTHONPATH={build_dir} $(MAKE) -C doc html
export PYBUILD_AFTER_INSTALL=rm -rf $(CURDIR)/debian/*/usr/bin

%:
	dh $@ --with sphinxdoc,python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs -A CHANGES.rst

override_dh_installdocs:
	dh_installdocs
	dh_installdocs -ppython-sphinx-gallery-doc examples/ mayavi_examples/ tutorials/ doc/_build/html/

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args='{interpreter} -m pytest -k-test_embed_code_links_get_data sphinx_gallery/tests'

## sphinx-gallery 0.7.0

=== debian/changelog ===
sphinx-gallery (0.7.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - add optipng to b-d and recommends
    - bump b-d on matplotlib to >= 3.2.2
  * refresh patches
  * debian/rules
    - temporary remove plot_8_animations.py, triggers a bug with matplotlib
      3.2.2
  * debian/patches/doc-intersphinx.patch
    - fix sklearn intersphinx location
    - temporary skip test_full.py, triggers a bug with matplotlib 3.2.2

 -- Sandro Tosi <morph@debian.org>  Sun, 19 Jul 2020 19:47:19 -0400

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,16 @@
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
 Build-Depends: debhelper-compat (= 9),
                dh-python,
+               optipng,
                python-matplotlib-doc <!nodoc>,
                python-numpy-doc <!nodoc>,
                python-pandas-doc <!nodoc>,
-               python-scipy-doc <!nodoc>,
+               python-sklearn-doc <!nodoc>,
                python3-all,
                python3-doc <!nodoc>,
                python3-ipython <!nodoc>,
                python3-joblib <!nocheck>,
-               python3-matplotlib,
+               python3-matplotlib (>= 3.2.2),
                python3-memory-profiler <!nodoc>,
                python3-pil,
                python3-pytest <!nocheck>,
@@ -36,6 +37,7 @@
          python3-sphinx,
          ${misc:Depends},
          ${python3:Depends},
+Recommends: optipng,
 Suggests: python-sphinx-gallery-doc,
           python3-seaborn,
 Description: extension that builds an HTML gallery of examples from Python scripts (Python 3)

## sphinx-gallery 0.8.1

=== debian/changelog ===
sphinx-gallery (0.8.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * New upstream release
  * debian/control
    - add plotly to b-d, needed by docs
  * debian/patches/*
    - refresh patches

 -- Sandro Tosi <morph@debian.org>  Sun, 25 Oct 2020 21:50:56 -0400

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
                python3-matplotlib (>= 3.2.2),
                python3-memory-profiler <!nodoc>,
                python3-pil,
+               python3-plotly <!nodoc>,
                python3-pytest <!nocheck>,
                python3-pytest-cov <!nocheck>,
                python3-pytest-runner <!nocheck>,
@@ -27,8 +28,8 @@
                sphinx-doc <!nodoc>,
 Standards-Version: 4.5.0
 Homepage: https://sphinx-gallery.github.io/
-Vcs-Git: https://salsa.debian.org/python-team/modules/sphinx-gallery.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/sphinx-gallery
+Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-gallery.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-gallery
 
 Package: python3-sphinx-gallery
 Architecture: all

## sphinx-gallery 0.8.2

=== sphinx_gallery/tests/tinybuild/Makefile ===
--- 
+++ 
@@ -1,3 +1,5 @@
+SPHINXOPTS=
+
 all: clean html show
 
 clean:
@@ -6,7 +8,7 @@
 	rm -rf gen_modules/
 
 html:
-	sphinx-build -b html -d _build/doctrees . _build/html
+	sphinx-build -b html -d _build/doctrees $(SPHINXOPTS) . _build/html
 
 latexpdf:
 	sphinx-build -b latex -d _build/doctrees . _build/latex

=== debian/changelog ===
sphinx-gallery (0.8.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-sphinx-gallery-doc: Add Multi-Arch: foreign.

  [ Sandro Tosi ]
  * New upstream release
  * Use the new Debian Python Team contact name and address
  * debian/copyright
    - extend packaging copyright years
  * debian/patches
    - refresh patches
  * debian/control
    - add statsmodels to b-d, needed for doc
    - bump Standards-Version to 4.5.1 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Fri, 08 Jan 2021 12:33:25 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
+Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 9),
                dh-python,
                optipng,
@@ -25,8 +25,9 @@
                python3-setuptools,
                python3-sphinx,
                python3-sphinx-rtd-theme <!nodoc>,
+               python3-statsmodels <!nodoc>,
                sphinx-doc <!nodoc>,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://sphinx-gallery.github.io/
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-gallery.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-gallery
@@ -52,6 +53,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends},
+Multi-Arch: foreign
 Description: extension that builds an HTML gallery of examples from Python scripts (Doc)
  * Simple examples that run out of the box are the best way to learn a library
  * Pleasing, organized, visual layouts

## sphinx-gallery 0.10.0

=== doc/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 
 # You can set these variables from the command line.
-SPHINXOPTS    =
+SPHINXOPTS    = -nWT --keep-going
 SPHINXBUILD   = sphinx-build
 PAPER         =
 BUILDDIR      = _build
@@ -22,7 +22,7 @@
 .PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext
 
 # Theme variable default
-theme = default
+theme = rtd
 
 help:
 	@echo "Please use \`make <target>' where <target> is one of"

=== debian/changelog ===
sphinx-gallery (0.10.0-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Sun, 10 Oct 2021 23:07:01 -0400

## sphinx-gallery 0.10.1

=== requirements.txt ===
sphinx>=1.8.3

=== debian/changelog ===
sphinx-gallery (0.10.1-3) unstable; urgency=medium

  * debian/control
    - remove matplotlib-doc, numpy-doc from b-d, no longer available;
      Closes: #1027552
  * debian/rules
    - set SPHINXOPTS to nothing when build doc, needed to not treat warnings as
      errors

 -- Sandro Tosi <morph@debian.org>  Wed, 25 Jan 2023 01:08:29 -0500

sphinx-gallery (0.10.1-2) unstable; urgency=medium

  * debian/patches/PR894.patch
    - upstream PR "Fix for latest pytest"; Closes: #1013718
  * debian/patches/PR916.patch
    - upstream PR "MAINT: Remove LooseVersion"
  * debian/rules
    - rewrite a better exclusion for a failing test, part of pytest7 and
      #1013718

 -- Sandro Tosi <morph@debian.org>  Sun, 26 Jun 2022 02:46:10 -0400

sphinx-gallery (0.10.1-1) unstable; urgency=medium

  * New upstream release; Closes: #999520
  * debian/patches
    - refresh patches
  * debian/patches/PR886.patch
    - add upstream PR 866, fixes a FTBFS when building doc

 -- Sandro Tosi <morph@debian.org>  Thu, 02 Dec 2021 23:47:38 -0500

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,6 @@
 Build-Depends: debhelper-compat (= 9),
                dh-python,
                optipng,
-               python-matplotlib-doc <!nodoc>,
-               python-numpy-doc <!nodoc>,
                python-pandas-doc <!nodoc>,
                python-sklearn-doc <!nodoc>,
                python3-all,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=sphinx-gallery
export PYBUILD_AFTER_BUILD=rm -rf $(CURDIR)/examples/plot_8_animations.py ; PYTHONPATH={build_dir} $(MAKE) -C doc html SPHINXOPTS=
export PYBUILD_AFTER_INSTALL=rm -rf $(CURDIR)/debian/*/usr/bin

%:
	dh $@ --with sphinxdoc,python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs -A CHANGES.rst

override_dh_installdocs:
	dh_installdocs
	dh_installdocs -ppython-sphinx-gallery-doc examples/ mayavi_examples/ tutorials/ doc/_build/html/

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args='{interpreter} -m pytest --ignore=sphinx_gallery/tests/test_full.py -k "not test_embed_code_links_get_data" sphinx_gallery/tests'

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%sphinx-gallery-$1.tar.gz%" \
https://github.com/sphinx-gallery/sphinx-gallery/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## sphinx-gallery 0.16.0

=== sphinx_gallery/tests/tinybuild/doc/Makefile ===
SPHINXOPTS=-v

all: clean html show

clean:
	rm -rf _build/*
	rm -rf auto_examples/
	rm -rf auto_examples_with_rst/
	rm -rf auto_examples_rst_index/
	rm -rf gen_modules/

html:
	sphinx-build -b html -d _build/doctrees $(SPHINXOPTS) . _build/html

latexpdf:
	sphinx-build -b latex -d _build/doctrees . _build/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C _build/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

show:
	@python -c "import webbrowser; webbrowser.open_new_tab('file://$(abspath .)/_build/html/index.html')"

=== debian/changelog ===
sphinx-gallery (0.16.0-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * New upstream version 0.15.0

  [ Josenilson Ferreira da Silva ]
  * New upstream version 0.16.0
  * debian/control:
    - Added new build-depends:
      + jdupes
      + python3-graphviz
      + pybuild-plugin-pyproject
      + python3-pydata-sphinx-theme
    - Added "Rules-Requires-Root: no"
    - Added ${sphinxdoc:Depends} for the doc package (Closes: #988855)
    - Bumped Standards-Version to 4.6.2
    - Detailing the module description
    - New uploader field with my Josenilson Ferreira da Silva (Closes: #1065028)
    - Update dh-python by dh-sequence-python3
    - Update debhelper-compat update from (9) by (13)
  * debian/clean:
    - Added build artifacts (Closes: #1046638)
  * debian/copyright:
    - Update and include name of the new maintainer
  * debian/patches:
    - adjusted mathjax path local and disabled jupyterlite_sphinx
    - Added header:
      + doc-intersphinx.patch
      + test-intersphinx.patch
    - Added patch to disable use of repr(), which is not reproducible
    - New version fixed the patches:
      + doc-no-mayavi.patch
      + PR1139.patch
      + PR1176.patch
      + PR886.patch
      + PR894.patch
      + PR916.patch
    - New version updated patches:
      + test-intersphinx.patch
      + doc-intersphinx.patch
  * debian/pybuild.testfiles: Added directory for running tests
  * debian/python-sphinx-gallery-doc.doc*:
    - Added files for building sphinx documentation
  * debian/rules:
    - Removed files that prevent CI/CD test reproducibility
    - Removed "--with python3" from build process
    - Sphinx-doc build modification
  * debian/tests/control: (Closes: #1036504)
    - Added autopkgtest
  * debian/upstream/metadata:
    - Added DEP 12 metadata

  [ Dmitry Shachnev ]
  * Add a patch to remove build path from generated reStructuredText files
    with tracebacks, to fix reproducible build.
  * Add a patch to remove build path from the generated plot_7_sys_argv.rst.
  * Add a patch to disable writing computation times when SOURCE_DATE_EPOCH
    is set.
  * Build-depend on python-numpy-doc and update documentation path, needed
    for intersphinx.
  * Drop test-fixes.patch, no longer needed.
  * Run the autopkgtest for all supported Python versions.

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 19 Jun 2024 07:46:11 -0300

sphinx-gallery (0.10.1-5) unstable; urgency=medium

  * orphan

 -- Sandro Tosi <morph@debian.org>  Thu, 29 Feb 2024 00:01:29 -0500

sphinx-gallery (0.10.1-4) unstable; urgency=medium

  * Team Upload.
  * Apply modified PR1176 to fix compatibility with sphinx 7.2
  * Pickup relevant parts of PR1139 to fixup sphinx issues
  * d/rules: Do not install __pycache__

 -- Nilesh Patra <nilesh@debian.org>  Fri, 26 Jan 2024 15:54:02 +0530

=== debian/control ===
Source: sphinx-gallery
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               jdupes,
               optipng,
               pybuild-plugin-pyproject,
               python-numpy-doc <!nodoc>,
               python-pandas-doc <!nodoc>,
               python-sklearn-doc <!nodoc>,
               python3-all,
               python3-doc <!nodoc>,
               python3-graphviz <!nodoc>,
               python3-ipython <!nodoc>,
               python3-joblib <!nocheck>,
               python3-matplotlib (>= 3.2.2),
               python3-memory-profiler <!nodoc>,
               python3-pil,
               python3-plotly <!nodoc>,
               python3-pydata-sphinx-theme <!nodoc>,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-pytest-runner <!nocheck>,
               python3-seaborn,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-statsmodels <!nodoc>,
               sphinx-doc <!nodoc>,
Standards-Version: 4.6.2
Homepage: https://sphinx-gallery.github.io/
Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-gallery.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-gallery
Rules-Requires-Root: no

Package: python3-sphinx-gallery
Architecture: all
Depends: python3-matplotlib,
         python3-pil,
         python3-sphinx,
         ${misc:Depends},
         ${python3:Depends},
Recommends: optipng,
Suggests: python-sphinx-gallery-doc,
          python3-seaborn,
Description: extension that builds an HTML gallery of examples from Python scripts (Python 3)
 Sphinx-Gallery is a Sphinx extension that creates an HTML gallery of examples
 from any set of Python scripts. It offers several functionalities:
   - Automatic Example Galleries Creation: Run example Python scripts to capture
     output and figures, rendering them into reST files integrated into your
     documentation by Sphinx.
   - Narrative Integration with Code:
     Embed reST in your example Python files, allowing you to interweave
     narrative content with code that generates graphics in documentation.
     Sphinx-Gallery also automatically generates a Jupyter Notebook for each
     example page.
   - Mini Galleries for API Documentation:
     Create mini galleries that list all examples that use a specific function
     /method in the API documentation.
   - Intersphinx Links:
     Add intersphinx links to your examples, which automatically connect to API
     documents for functions/methods/classes used in the examples.
   - Multiple Galleries Management:
     Manage multiple galleries to create and embed galleries of diverse sample
     sets.
 .
 This package contains the Python 3 version of sphinx-gallery.

Package: python-sphinx-gallery-doc
Section: doc
Architecture: all
Depends: libjs-mathjax, ${misc:Depends}, ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: extension that builds an HTML gallery of examples from Python scripts (Doc)
 Sphinx-Gallery is a Sphinx extension that creates an HTML gallery of examples
 from any set of Python scripts. It offers several functionalities:
   - Automatic Example Galleries Creation: Run example Python scripts to capture
     output and figures, rendering them into reST files integrated into your
     documentation by Sphinx.
   - Narrative Integration with Code:
     Embed reST in your example Python files, allowing you to interweave
     narrative content with code that generates graphics in documentation.
     Sphinx-Gallery also automatically generates a Jupyter Notebook for each
     example page.
   - Mini Galleries for API Documentation:
     Create mini galleries that list all examples that use a specific function
     /method in the API documentation.
   - Intersphinx Links:
     Add intersphinx links to your examples, which automatically connect to API
     documents for functions/methods/classes used in the examples.
   - Multiple Galleries Management:
     Manage multiple galleries to create and embed galleries of diverse sample
     sets.
 .
 This package contains documentation for sphinx-gallery.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_NAME=sphinx-gallery
export PYBUILD_AFTER_INSTALL=rm -rf $(CURDIR)/debian/*/usr/bin
export PYBUILD_TEST_ARGS=-v -p no:warnings \
		-k "not test_embed_code_links_get_data \
		and not test_dummy_image \
		and not test_split_code_and_text_blocks \
		and not test_bug_cases_of_notebook_syntax \
		and not test_jupyter_notebook \
		and not test_file_is_generated"

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs -A CHANGES.rst

# sphinx documentation
execute_before_dh_sphinxdoc:
	http_proxy='http://127.0.0.1:9/' python3 -m sphinx  -d debian/doctrees  \
	-N -bhtml  doc/	 debian/python-sphinx-gallery-doc/usr/share/doc/python-sphinx-gallery-doc/html

# Fix lintian extra-license-file/zero-byte-file-in-doc-directory
	find debian/python-sphinx-gallery-doc/usr -name 'LICENSE.txt' -exec rm -rf {} +;
# Fix lintian font-in-non-font-package /font-in-non-font-package
	find debian/python-sphinx-gallery-doc/usr  -type d -name 'webfonts' -prune -exec rm -rf {} +;

override_dh_link:
	dh_link
# Removed files that prevent reproducible
	find debian/python-sphinx-gallery-doc/ '(' \
		-name graphviz-* \
		-o -name junit-results.xml \
		-o -name sg_api_usage.html \
		-o -name sphx_glr_plot_2* \
		-o -name sphx_glr_plot_5* \
		-o -name sphx_glr_plot_6* \
		-o -name sphx_glr_plot_raise_001* \
		-o -name sphx_glr_plot_raise_thumb.png \
		-o -name plot_8_animations.* \
	')' -delete

# Removed directory empty
	find debian/python-sphinx-gallery-doc/ -type d -empty -delete
# Fix lintian duplicate-files
	jdupes -rOl debian/python-sphinx-gallery-doc/usr

override_dh_installexamples:
	dh_installexamples examples/*
	find  debian/python3-sphinx-gallery/ -name __pycache__ -prune -exec rm -rf {} +;

## sphinx-gallery 0.17.1

=== doc/Makefile ===
--- 
+++ 
@@ -21,15 +21,9 @@
 
 .PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext
 
-# Theme variable default
-theme = rtd
-
 help:
 	@echo "Please use \`make <target>' where <target> is one of"
 	@echo "  html       to make standalone HTML files"
-	@echo "             can include the sphinx theme to rendered with variable"
-	@echo "     theme=[default,rtd,alabaster,sphinxdoc,scrolls,agogo,"
-	@echo "            traditional,nature,haiku,pyramid,bizstyle]"
 	@echo "  dirhtml    to make HTML files named index.html in directories"
 	@echo "  singlehtml to make a single large HTML file"
 	@echo "  pickle     to make pickle files"
@@ -55,23 +49,21 @@
 clean:
 	rm -rf $(BUILDDIR)/*
 	rm -rf auto_examples/
-	rm -rf auto_mayavi_examples/
+	rm -rf auto_plotly_examples/
+	rm -rf auto_pyvista_examples/
 	rm -rf tutorials/
 	rm -rf gen_modules/
 
-html-noplot: export SPHX_GLR_THEME = $(theme)
 html-noplot:
 	$(SPHINXBUILD) -D plot_gallery=0 -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
 
-html_abort_on_example_error: export SPHX_GLR_THEME = $(theme)
 html_abort_on_example_error:
 	$(SPHINXBUILD) -D abort_on_example_error=1 -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
 
-html: export SPHX_GLR_THEME = $(theme)
 html:
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
 	@echo

=== sphinx_gallery/tests/tinybuild/doc/Makefile ===
--- 
+++ 
@@ -5,8 +5,9 @@
 clean:
 	rm -rf _build/*
 	rm -rf auto_examples/
+	rm -rf auto_examples_README_header/
+	rm -rf auto_examples_rst_index/
 	rm -rf auto_examples_with_rst/
-	rm -rf auto_examples_rst_index/
 	rm -rf gen_modules/
 
 html:

=== debian/changelog ===
sphinx-gallery (0.17.1-1) unstable; urgency=medium

  * Team upload.

  [ Josenilson Ferreira da Silva ]
  * New upstream version 0.17.1
  * debian/control: Bumped Standards-Version to 4.7.0
  * debian/patches/doc-intersphinx.patch: Updated file in new version
  * debian/patches/test-intersphinx.patch: Removed patch in new version
  * debian/rules: Removed zero-byte-file-in-doc-directory

  [ Dmitry Shachnev ]
  * Backport upstream patch to make the tests pass with Sphinx 8.1.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 30 Nov 2024 23:58:19 +0300

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,6 @@
                python3-memory-profiler <!nodoc>,
                python3-pil,
                python3-plotly <!nodoc>,
-               python3-pydata-sphinx-theme <!nodoc>,
                python3-pytest <!nocheck>,
                python3-pytest-cov <!nocheck>,
                python3-pytest-runner <!nocheck>,
@@ -30,7 +29,7 @@
                python3-sphinx-rtd-theme <!nodoc>,
                python3-statsmodels <!nodoc>,
                sphinx-doc <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://sphinx-gallery.github.io/
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-gallery.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-gallery

=== debian/rules ===
--- 
+++ 
@@ -39,6 +39,10 @@
 		-o -name sphx_glr_plot_raise_001* \
 		-o -name sphx_glr_plot_raise_thumb.png \
 		-o -name plot_8_animations.* \
+		-o -name sg_api_usage.rst.txt \
+		-o -name sphx_glr_plot_raise_thumbnail_001.png \
+		-o -name sphx_glr_plot_raise_thumbnail_001_2_00x.png \
+		-o -name sphx_glr_plot_raise_thumbnail_thumb.png \
 	')' -delete
 
 # Removed directory empty

=== debian/tests/control ===
Tests: python3-sphinx-gallery
Depends: python3-all,
         python3-joblib,
         python3-matplotlib,
         python3-pytest,
         python3-pytest-cov,
         python3-pytest-runner,
         @

## sphinx-gallery 0.19.0

=== debian/changelog ===
sphinx-gallery (0.19.0-2) unstable; urgency=medium

  * Team upload.
  * Drop python3-memory-profiler build-dependency (closes: #1127630).
  * Drop ‘Priority: optional’, it became default in dpkg 1.22.12.
  * Drop ‘Rules-Requires-Root: no’, it became default in dpkg 1.22.13.
  * Update debian/watch to version 5.
  * Bump Standards-Version to 4.7.3.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 21 Feb 2026 23:10:27 +0300

sphinx-gallery (0.19.0-1) unstable; urgency=medium

  * Team upload.
  * debian/gbp.conf: document setup, for routine-update and others.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Refreshed patches
  * reproducible-tracebacks.patch: only if $SOURCE_DATE_EPOCH is
    defined.
  * d/rules: enable another test via the python3-absl optional
    dependency
  * d/copyright: cleanups
  * Silenced some Lintian false positives about the bundled
    documentation source files

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 02 Dec 2025 10:27:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: sphinx-gallery
-Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
+Section: python
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                jdupes,
                optipng,
                pybuild-plugin-pyproject,
+               python-joblib-doc <!nodoc>,
+               python-matplotlib-doc <!nodoc>,
                python-numpy-doc <!nodoc>,
                python-pandas-doc <!nodoc>,
                python-sklearn-doc <!nodoc>,
                python3-all,
+               python3-absl <!nocheck>,
                python3-doc <!nodoc>,
                python3-graphviz <!nodoc>,
                python3-ipython <!nodoc>,
                python3-joblib <!nocheck>,
-               python3-matplotlib (>= 3.2.2),
-               python3-memory-profiler <!nodoc>,
+               python3-matplotlib,
                python3-pil,
                python3-plotly <!nodoc>,
                python3-pytest <!nocheck>,
@@ -28,12 +29,11 @@
                python3-sphinx,
                python3-sphinx-rtd-theme <!nodoc>,
                python3-statsmodels <!nodoc>,
-               sphinx-doc <!nodoc>,
-Standards-Version: 4.7.0
+               sphinx-doc <!nodoc>
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-gallery
+Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-gallery.git
 Homepage: https://sphinx-gallery.github.io/
-Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-gallery.git
-Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-gallery
-Rules-Requires-Root: no
 
 Package: python3-sphinx-gallery
 Architecture: all
@@ -41,10 +41,10 @@
          python3-pil,
          python3-sphinx,
          ${misc:Depends},
-         ${python3:Depends},
-Recommends: optipng,
+         ${python3:Depends}
+Recommends: optipng
 Suggests: python-sphinx-gallery-doc,
-          python3-seaborn,
+          python3-seaborn
 Description: extension that builds an HTML gallery of examples from Python scripts (Python 3)
  Sphinx-Gallery is a Sphinx extension that creates an HTML gallery of examples
  from any set of Python scripts. It offers several functionalities:
@@ -69,10 +69,12 @@
  This package contains the Python 3 version of sphinx-gallery.
 
 Package: python-sphinx-gallery-doc
+Architecture: all
+Multi-Arch: foreign
 Section: doc
-Architecture: all
-Depends: libjs-mathjax, ${misc:Depends}, ${sphinxdoc:Depends}
-Multi-Arch: foreign
+Depends: libjs-mathjax,
+         ${misc:Depends},
+         ${sphinxdoc:Depends}
 Description: extension that builds an HTML gallery of examples from Python scripts (Doc)
  Sphinx-Gallery is a Sphinx extension that creates an HTML gallery of examples
  from any set of Python scripts. It offers several functionalities:

=== debian/watch ===
Version: 5

Source: https://github.com/sphinx-gallery/sphinx-gallery/tags
Matching-Pattern: (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
Filenamemangle: s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%sphinx-gallery-$1.tar.gz%
